GH-REPO-VIEW(1)

NAME

gh-repo-view - View a repository

SYNOPSIS

gh repo view [<repository>] [flags]

DESCRIPTION

Display the description and the README of a GitHub repository.

With no argument, the repository for the current directory is displayed.

With '--web', open the repository in a web browser instead.

With '--branch', view a specific branch of the repository.

OPTIONS

-b, --branch <string>
    View a specific branch of the repository

-q, --jq <expression>
    Filter JSON output using a jq expression

--json <fields>
    Output JSON with the specified fields

-t, --template <string>
    Format JSON output using a Go template; see "gh help formatting"

-w, --web
    Open a repository in the browser

SEE ALSO

gh-repo(1)